var m11RPGwj_PlayerStatus = function() {

	this.reset = function() {

		this.name = null;

		this.hp = 0;
		this.mhp_base = 0;
		this.mhp_e = 0;
		this.mhp = 0;

		this.mp = 0;
		this.mmp_base = 0;
		this.mmp_e = 0;
		this.mmp = 0;

		this.at_base = 0;
		this.at_e = 0;
		this.at = 0;

		this.def_base = 0;
		this.def_e = 0;
		this.def = 0;

		this.mf_base = 0;
		this.mf_e = 0;
		this.mf = 0;

		this.exp = 0;

	}

	this.reset();

	this.getStatus = function(arg) {

		switch (arg) {

		case 'hp':

			return this.hp;

			break;

		case 'mhp_base':

			return this.mhp_base;

			break;

		case 'mhp_e':

			return this.mhp_e;

			break;

		case 'mhp':

			return this.mhp;

			break;

		case 'mp':

			return this.mp;

			break;

		case 'mmp_base':

			return this.mmp_base;

			break;

		case 'mmp_e':

			return this.mmp_e;

			break;

		case 'mmp':

			return this.mmp;

			break;

		case 'at_base':

			return this.at_base;

			break;

		case 'at_e':

			return this.at_e;

			break;

		case 'at':

			return this.at;

			break;

		case 'def_base':

			return this.def_base;

			break;

		case 'def_e':

			return this.def_e;

			break;

		case 'def':

			return this.def;

			break;

		case 'mf_base':

			return this.mf_base;

			break;

		case 'mf_e':

			return this.mf_e;

			break;

		case 'mf':

			return this.mf;

			break;

		case 'exp':

			return this.exp;

			break;

		}

	}

	this.setStatus = function(name, val) {

		switch (name) {

		case 'hp':

			this.hp = val;

			if (this.hp > this.mhp) {
				this.hp = this.mhp;
			}

			break;

		case 'mhp_base':

			this.mhp_base = val;

			break;

		case 'mhp_e':

			this.mhp_e = val;

			break;

		case 'mhp':

			this.mhp = val;

			if (this.hp > this.mhp) {
				this.hp = this.mhp;
			}

			break;

		case 'mp':

			this.mp = val;

			if (this.mp > this.mmp) {
				this.mp = this.mmp;
			}

			break;

		case 'mmp_base':

			this.mmp_base = val;

			break;

		case 'mmp_e':

			this.mmp_e = val;

			break;

		case 'mmp':

			this.mmp = val;

			if (this.mp > this.mmp) {
				this.mp = this.mmp;
			}

			break;

		case 'at_base':

			this.at_base = val;

			break;

		case 'at_e':

			this.at_e = val;

			break;

		case 'at':

			this.at = val;

			break;

		case 'def_base':

			this.def_base = val;

			break;

		case 'def_e':

			this.def_e = val;

			break;

		case 'def':

			this.def = val;

			break;

		case 'mf_base':

			this.mf_base = val;

			break;

		case 'mf_e':

			this.mf_e = val;

			break;

		case 'mf':

			this.mf = val;

			break;

		case 'exp':

			this.exp = val;

			break;

		}

	}

}

var m11RPGwj_GameStatus = function() {

	this.status = new m11RPGwj_PlayerStatus();

	this.char_no = 32;

	this.varList = new Array(100);
	this.itemHolder = new m11RPGwj_PlayerItemHolder();

	this.magicList = null;

	this.map = 0;
	this.x = 0;
	this.y = 0;

	this.bgm = null;

	this.getStatusData = function() {

		var data;

		data = 'char_img:' + this.char_no + "\t";
		data += 'map:' + this.map + "\t";
		data += 'x:' + this.x + "\t";
		data += 'y:' + this.y + "\t";
		data += 'hp:' + this.status.hp + "\t";
		data += 'mhp_base:' + this.status.mhp_base + "\t";
		data += 'mhp_e:' + this.status.mhp_e + "\t";
		data += 'mhp:' + this.status.mhp + "\t";
		data += 'mp:' + this.status.mp + "\t";
		data += 'mmp_base:' + this.status.mmp_base + "\t";
		data += 'mmp_e:' + this.status.mmp_e + "\t";
		data += 'mmp:' + this.status.mmp + "\t";
		data += 'at_base:' + this.status.at_base + "\t";
		data += 'at_e:' + this.status.at_e + "\t";
		data += 'at:' + this.status.at + "\t";
		data += 'def_base:' + this.status.def_base + "\t";
		data += 'def_e:' + this.status.def_e + "\t";
		data += 'def:' + this.status.def + "\t";
		data += 'mf_base:' + this.status.mf_base + "\t";
		data += 'mf_e:' + this.status.mf_e + "\t";
		data += 'mf:' + this.status.mf + "\t";
		data += 'exp:' + this.status.exp + "\t";

		return data;

	}

	this.getItemData = function() {

		return this.itemHolder.getItemData();

	}

	this.setItemData = function(data) {
		this.itemHolder.setItemData(data);
	}

	this.setStatusData = function(data) {

		var i;

		// s폜
		data = data.replace("\n", "");

		// ڂƂɔzɐ؂蕪
		var dataLineList = data.split("\t");

		var lineItems;

		// f[^̊eڂǂݎ
		for (i = 0;i < dataLineList.length;i++) {

			// u:v؂𕪗X̐ݒ荀ڂ擾
			lineItems = dataLineList[i].split(":");

			if (lineItems.length == 2) {

				switch (lineItems[0]) {

				case 'char_img':

					this.char_no = parseInt(lineItems[1]);

					break;

				case 'map':

					this.map = parseInt(lineItems[1]);

					break;

				case 'x':

					this.x = parseInt(lineItems[1]);

					break;

				case 'y':

					this.y = parseInt(lineItems[1]);

					break;

				case 'hp':

					this.status.hp = parseInt(lineItems[1]);

					break;

				case 'mhp_base':

					this.status.mhp_base = parseInt(lineItems[1]);

					break;

				case 'mhp_e':

					this.status.mhp_e = parseInt(lineItems[1]);

					break;

				case 'mhp':

					this.status.mhp = parseInt(lineItems[1]);

					break;

				case 'mp':

					this.status.mp = parseInt(lineItems[1]);

					break;

				case 'mmp_base':

					this.status.mmp_base = parseInt(lineItems[1]);

					break;

				case 'mmp_e':

					this.status.mmp_e = parseInt(lineItems[1]);

					break;

				case 'mmp':

					this.status.mmp = parseInt(lineItems[1]);

					break;

				case 'at_base':

					this.status.at_base = parseInt(lineItems[1]);

					break;

				case 'at_e':

					this.status.at_e = parseInt(lineItems[1]);

					break;

				case 'at':

					this.status.at = parseInt(lineItems[1]);

					break;

				case 'def_base':

					this.status.def_base = parseInt(lineItems[1]);

					break;

				case 'def_e':

					this.status.def_e = parseInt(lineItems[1]);

					break;

				case 'def':

					this.status.def = parseInt(lineItems[1]);

					break;

				case 'mf_base':

					this.status.mf_base = parseInt(lineItems[1]);

					break;

				case 'mf_e':

					this.status.mf_e = parseInt(lineItems[1]);

					break;

				case 'mf':

					this.status.mf = parseInt(lineItems[1]);

					break;

				case 'exp':

					this.status.exp = parseInt(lineItems[1]);

					break;

				}

			}

		}

	}

}
