var m11RPGwj_SystemStatus = function() {

	this.controller = null;

	this.app_status = m11RPGwj_SystemStatus.APPSTATE_NONE;
	this.process_status = 0;
	this.game_status = m11RPGwj_SystemStatus.GMAESTATE_NONE;
	this.loading_status = m11RPGwj_SystemStatus.LOADINGSTATE_NONE;

	this.command_status = 0;

	this.scriptContext = null;

	this.bgmPlayer = null;
	this.videoPlayer = null;

	this.loading_image = null;
	this.loaded_image = null;
	this.loading_audio = null;
	this.loaded_audio = null;

	this.scriptMeswin = null;
	this.scriptSelectDlg = null;

	this.titleDlg = null;

	this.commandDlg = null;
	this.commandMessage = null;
	this.itemDlg = null;

	this.scroll_pos = 0;

	// 퓬CxgGIuWFNg
	this.event_enemy = null;

	// XN[P
	this.scroll_pixel = 0;

	// XN[tO
	this.scroll_state = 0;

	this.prev_ms = 0;
	this.frame_ms = 0;

	this.v_x = 0;
	this.v_y = 0;

	// \canvas֕`s͈
	this.v_cols = 0;
	this.v_rows = 0;

	this.sx = 0;
	this.sy = 0;

	// XN[ɂʒuړ
	this.dx = 0;
	this.dy = 0;

	this.scroll_dir = 0;

	this.view_center_x = 0;
	this.view_center_y = 0;

	this.flash_count = 0;
	this.move_count = 0;
	this.move_pos = new Object;

	this.bg_color = "#000000";

	this.viewCanvas = null;
	this.viewContext = null;
	this.soundMenu = null;

	this.process_count = 0;

}

m11RPGwj_SystemStatus.APPSTATE_NONE = 0;
m11RPGwj_SystemStatus.APPSTATE_DEMO = 1;
m11RPGwj_SystemStatus.APPSTATE_LOADING = 2;
m11RPGwj_SystemStatus.APPSTATE_TITLE = 3;
m11RPGwj_SystemStatus.APPSTATE_START = 4;
m11RPGwj_SystemStatus.APPSTATE_GAME = 5;
m11RPGwj_SystemStatus.APPSTATE_END = 6;

m11RPGwj_SystemStatus.LOADINGSTATE_NONE = 0;
m11RPGwj_SystemStatus.LOADINGSTATE_CONFIG = 1;
m11RPGwj_SystemStatus.LOADINGSTATE_CONFIG_LOADING = 2;
m11RPGwj_SystemStatus.LOADINGSTATE_CONFIG_LOADED = 3;
m11RPGwj_SystemStatus.LOADINGSTATE_MAPLIST = 4;
m11RPGwj_SystemStatus.LOADINGSTATE_MAPLIST_LOADING = 5;
m11RPGwj_SystemStatus.LOADINGSTATE_MAPLIST_LOADED = 6;
m11RPGwj_SystemStatus.LOADINGSTATE_MAPDATA = 7;
m11RPGwj_SystemStatus.LOADINGSTATE_MAPDATA_LOADING = 8;
m11RPGwj_SystemStatus.LOADINGSTATE_MAPDATA_LOADED = 9;
m11RPGwj_SystemStatus.LOADINGSTATE_EVENT = 10;
m11RPGwj_SystemStatus.LOADINGSTATE_EVENT_LOADING = 11;
m11RPGwj_SystemStatus.LOADINGSTATE_EVENT_LOADED = 12;
m11RPGwj_SystemStatus.LOADINGSTATE_ENEMY = 13;
m11RPGwj_SystemStatus.LOADINGSTATE_ENEMY_LOADING = 14;
m11RPGwj_SystemStatus.LOADINGSTATE_ENEMY_LOADED = 15;
m11RPGwj_SystemStatus.LOADINGSTATE_PLAYERITEM = 16;
m11RPGwj_SystemStatus.LOADINGSTATE_PLAYERITEM_LOADING = 17;
m11RPGwj_SystemStatus.LOADINGSTATE_PLAYERITEM_LOADED = 18;
m11RPGwj_SystemStatus.LOADINGSTATE_MAGIC = 19;
m11RPGwj_SystemStatus.LOADINGSTATE_MAGIC_LOADING = 20;
m11RPGwj_SystemStatus.LOADINGSTATE_MAGIC_LOADED = 21;
m11RPGwj_SystemStatus.LOADINGSTATE_PLAYERSTATUS = 22;
m11RPGwj_SystemStatus.LOADINGSTATE_PLAYERSTATUS_LOADING = 23;
m11RPGwj_SystemStatus.LOADINGSTATE_PLAYERSTATUS_LOADED = 24;
m11RPGwj_SystemStatus.LOADINGSTATE_IMAGE = 25;
m11RPGwj_SystemStatus.LOADINGSTATE_IMAGE_LOADING = 26;
m11RPGwj_SystemStatus.LOADINGSTATE_IMAGE_LOADED = 27;
m11RPGwj_SystemStatus.LOADINGSTATE_START = 28;
m11RPGwj_SystemStatus.LOADINGSTATE_START_LOADING = 29;
m11RPGwj_SystemStatus.LOADINGSTATE_START_LOADED = 30;

m11RPGwj_SystemStatus.TITLESTATE_INIT = 0;
m11RPGwj_SystemStatus.TITLESTATE_WAIT = 1;

m11RPGwj_SystemStatus.STARTSTATE_INIT = 0;
m11RPGwj_SystemStatus.STARTSTATE_MENU = 1;
m11RPGwj_SystemStatus.STARTSTATE_DONE = 2;

m11RPGwj_SystemStatus.GMAESTATE_NONE = 0;
m11RPGwj_SystemStatus.GMAESTATE_WALK = 1;
m11RPGwj_SystemStatus.GMAESTATE_SCRIPT = 2;
m11RPGwj_SystemStatus.GMAESTATE_COMMAND = 3;

m11RPGwj_SystemStatus.COMMANDSTATE_NONE = 0;
m11RPGwj_SystemStatus.COMMANDSTATE_INIT = 1;
m11RPGwj_SystemStatus.COMMANDSTATE_COMMANDMENU_IN = 2;
m11RPGwj_SystemStatus.COMMANDSTATE_COMMANDMENU = 3;
m11RPGwj_SystemStatus.COMMANDSTATE_ITEMMENU_INIT = 4;
m11RPGwj_SystemStatus.COMMANDSTATE_ITEMMENU = 5;
m11RPGwj_SystemStatus.COMMANDSTATE_ITEMSELECT_INIT = 6;
m11RPGwj_SystemStatus.COMMANDSTATE_ITEMSELECT = 7;
m11RPGwj_SystemStatus.COMMANDSTATE_ITEM_DONE_IN = 8;
m11RPGwj_SystemStatus.COMMANDSTATE_ITEM_DONE = 9;
m11RPGwj_SystemStatus.COMMANDSTATE_MAGICMENU_INIT = 10;
m11RPGwj_SystemStatus.COMMANDSTATE_MAGICMENU = 11;
m11RPGwj_SystemStatus.COMMANDSTATE_MAGIC_DONE_IN = 12;
m11RPGwj_SystemStatus.COMMANDSTATE_MAGIC_DONE = 13;
m11RPGwj_SystemStatus.COMMANDSTATE_STATUS_INIT = 14;
m11RPGwj_SystemStatus.COMMANDSTATE_STATUS_VIEW = 15;
m11RPGwj_SystemStatus.COMMANDSTATE_SAVE_EXEC = 16;
m11RPGwj_SystemStatus.COMMANDSTATE_SAVE_DONE = 17;
